<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.scan.MsScanbatchPaperBlockQuestionMapper">

    <!--扫描记录-客观题-题块下试题-->
    <select id="listBlockQuestionsByMspid" resultType="com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlockQuestion">
        select q.* from ms_scanbatch_paper_block_question q
        left join ms_scanbatch_paper_block b on q.mspbid=b.mspbid
        where b.mspid = #{mspid} and b.mblockid=#{mblockid} order by q.mspbqid
    </select>

    <!--扫描记录-查看原卷-客观题-批量修改识别结果-->
    <update id="updateBatchQuestionIdentify">
        <foreach collection="list" item="q" separator=";">
            update ms_scanbatch_paper_block_question set identifycont=#{q.identifycont} where mspbqid=#{q.mspbqid}
        </foreach>
    </update>
</mapper>

